com.jscape.inet.sftp

## Class Sftp.UploadDirectoryOperation

- java.lang.Object
- - com.jscape.inet.sftp.Sftp.UploadDirectoryOperation

- All Implemented Interfaces:
    Sftp.UploadFileOperation.Listener
  Enclosing class:
    Sftp

      public static class Sftp.UploadDirectoryOperation
      extends java.lang.Object
      implements Sftp.UploadFileOperation.Listener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadDirectoryOperation(java.io.File localDirectory, java.lang.String tempFileExtension, boolean fileTimestampPreservingRequired, int maxAttempts, com.jscape.util.Time attemptPeriod, java.lang.Integer threadCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sftp.UploadDirectoryOperation` | `applyTo(Sftp transfer)`
    `void` | `cancel()`
    `void` | `cancel(java.io.File file)`
    `int` | `fileCount()`
    `void` | `onOperationCompleted(Sftp.UploadFileOperation operation)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadDirectoryOperation

          public UploadDirectoryOperation(java.io.File localDirectory,
                                          java.lang.String tempFileExtension,
                                          boolean fileTimestampPreservingRequired,
                                          int maxAttempts,
                                          com.jscape.util.Time attemptPeriod,
                                          java.lang.Integer threadCount)

  - ### Method Detail

    - #### applyTo

          public Sftp.UploadDirectoryOperation applyTo(Sftp transfer)
                                                throws SftpException

      Throws:
        `SftpException`

    - #### cancel

          public void cancel()

    - #### cancel

          public void cancel(java.io.File file)

    - #### fileCount

          public int fileCount()

    - #### onOperationCompleted

          public void onOperationCompleted(Sftp.UploadFileOperation operation)

      Specified by:
        `onOperationCompleted` in interface `Sftp.UploadFileOperation.Listener`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved